/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.util;

import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.ArtifactDatabase;
import org.dive4elements.artifacts.CallContext;

/**
 * @author Gernot Belger
 */
public final class CalculationUtils {


    private CalculationUtils() {
        throw new UnsupportedOperationException("Helper class");
    }

    /**
     * Find the the user of the given artifact, sadly this is not part of the calling context, so instead we determine the
     * owner oft the artifact
     *
     * @param artifact
     * @param context
     */
    public static String findArtifactUser(final CallContext context, final Artifact artifact) {
        final ArtifactDatabase database = context.getDatabase();
        return database.findArtifactUser(artifact.identifier());
    }
}